/* GCC */

#include <iostream>
#include <stdio.h>
#include <vector>
#include <algorithm>

#define INF 1e9+7
#define EPS 1e-7
#define MAXN 200000

using namespace std;

int n;
vector<vector<int> > a;

int u[MAXN];
int g[MAXN];

int cmp(pair<int,int> x,pair<int,int> y)
{
    if(x.first>y.first) return 1;
    else return 0;   
}

int main()
{
    freopen("village.in","r",stdin);
    freopen("village.out","w",stdout);
    scanf("%d",&n);
    a.resize(n);
    for(int i=0;i<n;++i) a[i].push_back(0);
    for(int i=0;i<n;++i)
    {
            scanf("%d",&a[i][0]);
            a[i][0]--;       
    }
    for(int i=0;i<n;++i) 
            if(a[a[i][0]][0]!=i) a[a[i][0]].push_back(i); else {g[i]=1;}
    vector<pair<int,int> > q;
    for(int i=0;i<n;++i) q.push_back(make_pair(g[i],i));
    sort(q.begin(),q.end(),cmp);
    int ans = 0;
    for(int p=0;p<n;++p)
    {
            int i = q[p].second;
            if(u[i]) continue;
            int j = 0;
            while(j<a[i].size()-1 && u[a[i][j]]) j++;
            if(u[a[i][j]]) continue; 
            if(!j && g[a[i][j]]) ans+=2; else ans+=1;
            u[a[i][j]]=1;
            u[i]=1;      
    }
    printf("%d\n",ans);
    return 0;
}
