/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>

using namespace std;

vector<int>::iterator getmin(vector<int>::iterator a, vector<int>::iterator b)
{
    vector<int>::iterator minimal = a;
    for (vector<int>::iterator j = a+1; j != b; j ++)
    {
        if (*j < *minimal)
            minimal = j;
    }
    return minimal;
}

int main()
{
    ifstream input ("election.in", ios::in);
    if (!input)
    {
        cout << "No input file" << endl;
        return 1;
    }
    //     
    int n, tmp;
    vector<vector<int> > enq;
    input >> n;
    int k = n - 1;
    for (int i = 0; i < n; i++)
    {
        if (i>1)
            k--;
        vector<int> t_vector;
        for (int j = 0; j < k; j++)
        {
            input >> tmp;
            t_vector.push_back(tmp);
        }
        enq.push_back(t_vector);
    }
    input.close();
    int all = 0;
    for (int i = 0; i < n; i++)
        all += enq[i][0];
    cout << "All " << all << endl;

    int dumb = 0;
    for (int i = 0; i < n; i++)
    {
        vector<int>::iterator minimal = getmin(enq[i].begin(), enq[i].end());
        cout << *minimal << endl;
        if (enq[i][0] != *minimal)
            dumb += enq[i][0] - *minimal;
    }
    int smart = all - dumb;
    cout << "Dumb " << dumb << endl;
    cout << "Smart " << smart << endl;

    ofstream output ("election.out", ios::out);
    output << smart << endl;
    output.close();
    return 0;
}
