/* GCC */

#include<fstream>
#include<math.h>

#define MAXN 105

int main() {
    std::ifstream in("election.in");
    std::ofstream out("election.out");

    int n;
    int votes[MAXN][MAXN];
    
    in >> n;
    for (int i = 0; i < n - 1; i++)
        in >> votes[0][i];
    for (int i = 1; i < n; i++) {
        for (int j = 0; j < n - i; j++)
            in >> votes[i][j];
    }
    votes[0][n - 1] = votes[0][n - 2] + votes[1][n - 2];

    for (int i = 0; i < n; i++) {
        for (int j = n - i - 2; j >= 0; j--)
            votes[i][j] = std::min(votes[i][j], votes[i][j + 1]);
    }
    
    int res = MAXN;
    for (int j = 0; j < n; j++) {
        int sum = 0;
        for (int i = 0; i < n - j; i++)
            sum += votes[i][j];
        res = std::min(res, sum);
    }
    
    out << res << std::endl;
    
    for (int k = 0; k < res; k++) {
        bool voted[MAXN];
        for (int i = 0; i < n; i++) voted[i] = false;
        
        int i = n;
        for (int j = 0; j < n; j++) {
            if (i >= n - j) {
                if (i != n) out << " ";
                for (i = 0; votes[i][j] == 0; i++);
                out << i + 1;
                voted[i] = true;
            }
            votes[i][j]--;
        }
        
        for (int i = 0; i < n; i++) {
            if (!voted[i]) out << " " << i + 1;
        }
        out << std::endl;
    }

    return 0;
}
