/* GCC */

#include <iostream>
#include <math.h>
#include <stdio.h>
#include <algorithm>
#include <string.h>
#include <string>
#include <vector>
#include <time.h>

using namespace std;

const int MAXN = 200010;

int N;
int to[MAXN];
bool used[MAXN];
bool used1[MAXN];
vector < int > order;

int ans;

void dfs1(int v)
{
    used1[v] = true;
    if (!used1[to[v]])
        dfs1(to[v]);
    order.push_back(v);
}

int dfs(int v)
{
    used[v] = true;
    if (!used[to[v]])
        return dfs(to[v]) + 1;
    return 1;
}

int main()
{
    freopen("village.in", "r", stdin);
    freopen("village.out", "w", stdout);
    scanf("%d", &N);
    for (int i = 0; i < N; ++i)
    {
        scanf("%d", &to[i]);
        --to[i];
        if (to[i] < i && to[to[i]] == i)
        {
            ans += 2;
            used[i] = used[to[i]] = true;
        }
    }
    for (int i = 0; i < N; ++i)
        if (!used1[i])
            dfs1(i);
    for (int i = N - 1; i >= 0; --i)
        if (!used[order[i]])
            ans += dfs(order[i]) / 2;
    printf("%d\n", ans);
}
