/* GCC */

#include <fstream>
using namespace std;

bool frags[1000000];
int fragscount;

bool IsPloskogirya(int l, int r)
{
    int trues = 0, falses = 0;
    for(int i = l; i < r; i++)
    {
        if(frags[i]) 
             trues++;
        else 
             falses++;
    }     
    return trues == falses;
}

int Solve()
{
   int biggestOne = 0;
   for(int l = 0; l < fragscount - 1; l++)
   {
        for(int r = fragscount; r >= 0; r--)
        {
             if(r-l <= biggestOne) 
                    continue;
             if(IsPloskogirya(l, r)) 
                    biggestOne = r-l;
        }
   }  
   return biggestOne;
}

void Load()
{
    ifstream in;
    in.open("skiing.in");
    in>>fragscount;
    
    for(int i = 0; i < fragscount; i++)
    {
         in>>frags[i];
    }     
    
    in.close();
}

void Save(int what)
{
    ofstream out; 
    out.open("skiing.out");
    out<<what<<endl;
    out.close();
}

int main()
{
    Load();
    Save(Solve());
}
