/* GCC */
//#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

typedef unsigned int uint;
vector<uint> parts;

bool eq_parts(uint beg, uint end);

uint count_, result = 0;

int main() {
    ifstream ifs("skiing.in");

    ifs >> count_;
    //cout << count_ << endl;

    parts.reserve(count_);
    {
        uint part;
        for(uint i = 0; i < count_ && !ifs.eof(); ++i) {
            ifs >> part;
            //cout << part << " ";
            parts.push_back(part);
        }
    }
    ifs.close();
    //cout << endl;
    --count_;

    for(; count_ > 0; --count_) {
        //cout << count_ << " ";
        for (int i = 0; i + count_ < parts.size(); ++i) {
            if(eq_parts(i, count_)) goto out;
        }
    }
out:
    //cout << "\nResult is " << result;
    ofstream ofs("skiing.out");
    ofs << result;
    ofs.close();
    //cin.get();
}

bool eq_parts(uint beg, uint end) {
    result = 0;
    uint ups = 0, downs = 0;
    for(uint b = beg; b <= end; ++b, ++result) {
        if(parts[b] == 1) ++ups;
        else ++downs;
    }
    //cout << " ups: " << ups << " downs: " << downs << endl;
    if(ups == downs) {
        return true;
    }
    return false;
}
