/* GCC */
#include <iostream>
#include <cstdio>
#include <memory.h>
#include <cmath>
#define N 200500

using namespace std;

struct edge
{
    int v, n;
};

int n, st[N], a[N], used[N], ans, zz, tops[N], nn;
edge list[N];

void add(int v, int t)
{
    zz++;
    list[zz].v = t;
    list[zz].n = st[v];
    st[v] = zz;
}

void dfs(int v)
{
    used[v] = 1;
    if (!used[a[v]])
    {
        ans++;
        used[a[v]] = 1;
    }
    if (used[a[a[v]]] == 0)
        dfs(a[a[v]]);
}

void ts(int v)
{
    used[v] = 1;
    if (!used[a[v]])
        ts(a[v]);
    nn++;
    tops[nn] = v;
}

int main()
{
    freopen("village.in", "r", stdin);
    freopen("village.out", "w", stdout);
    scanf("%d", &n);
    zz = 0;
    nn = 0;
    ans = 0;
    memset(used, 0, sizeof(used));
    for (int i = 1; i <= n; i++)
        scanf("%d", &a[i]);
    for (int i = 1; i <= n; i++)
        if ((!used[i]) && (a[a[i]] == i) && (!used[a[i]]))
        {
            ans += 2;
            used[i] = 1;
            used[a[i]] = 1;
        }

    for (int i = 1; i <= n; i++)
        if (!used[i])
            ts(i);

    memset(used, 0, sizeof(used));

    for (int i = 1; i <= n; i++)
        if (a[a[i]] == i)
        {
            used[i] = 1;
            used[a[i]] = 1;
        }

    for (int i = nn; i >= 1; i--)
        if (!used[tops[i]])
            dfs(tops[i]);
    cout << ans << endl;
    return 0;
}
